<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="../styles/basics.css">
        <link rel="stylesheet" href="../styles/registration.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/css/all.min.css" integrity="sha512-DTOQO9RWCH3ppGqcWaEA1BIZOC6xxalwEsw9c2QQeAIftl+Vegovlnee1c9QX4TctnWMn13TZye+giMm8e2LwA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <title>Document</title>
    </head>
    <body>

        <div class="background-visual">
            <div class="squear"></div>
        </div>
    
        <i onclick="goHome()" id="icon" class="fa-solid fa-arrow-left"></i>
    
        <div class="registration-form  forms">
            <div class="form-inner">
                <h1>Registration</h1>
    
                <form action="">
                    <div class="block">
                        <p>User name:</p>
                        <input type="text" name="userName">
                    </div>
                    <div class="block">
                        <p>email:</p>
                        <input type="email" name="email">
                    </div>
                    <div class="block">
                        <p>ID number</p>
                        <input type="number" name="idNum" >
                    </div>
                    <div class="block">
                        <p>Password</p>
                        <input type="password" oninput="passwordChecker(this.value)" name="password">
                    </div>
                    <div class="block">
                        <p>repeat password</p>
                        <input type="password" name="passwordRepeter">  
                    </div>
    
                    <div class="password-side">
                        <div class="passStrong">
                            <div class="passStrong-line red"></div>
                            <div class="passStrong-line yellow"></div>
                            <div class="passStrong-line green"></div>
                        </div>
        
                        <p id="passInfo"></p>
                    </div>
    
                    <button onclick="registerUser()">Submit</button>
                </form>
    
                <a href="#" onclick="showSignPage()">Already have an account?</a>
            </div>
        </div>
    
        <div class="clear"></div>
    
        <div class="signin-form forms">
            <div class="form-inner">
                <h1>Sign in</h1>
    
                <form action="">
                    <div class="block">
                        <p>email</p>
                    <input type="email" name="login-email" >
                    </div>
                    <div class="block">
                        <p>password</p>
                        <input type="password" name="login-password" >
                    </div>
                    <button onclick="login()">Submit</button>
                </form>
    
                <a href="#" onclick="showRegistrationPage()">Don't have an account?</a>
            </div>
        </div>
    
        <script src="../js/registration.js"></script>
        
    </body>
</html>